#pragma once

#include "libsm64.h"

extern SM64RumbleCallbackFunctionPtr g_rumble_callback_func;

extern void queue_rumble_data_for_mario(int32_t marioId, int16_t level, int16_t time);
extern void queue_rumble_data(int16_t level, int16_t time);
extern void reset_rumble_timers(void);
extern void reset_rumble_timers_2(int32_t a0);
extern void rumble_shim_update(void);